Mir

CI failure on krillin in NestedServer.* tests

Bug #1628828 reported by Alexandros Frantzis on 2016-09-29
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mir
Fix Released
High
Alexandros Frantzis
mir (Ubuntu)
Undecided
Unassigned

Bug Description

From https://mir-jenkins.ubuntu.com/job/device-runtests-mir/device_type=krillin/1560/consoleFull:

[ RUN ] NestedServer.posts_when_scene_has_visible_changes
+ mir_rc=-1

From https://mir-jenkins.ubuntu.com/job/device-runtests-mir/device_type=krillin/1561/consoleFull:

[ RUN ] NestedServer.client_may_connect_to_nested_server_and_create_surface
+ mir_rc=-1

Seems to be some kind of crash, since mir_acceptance_tests terminates immediately.

Related branches

Daniel van Vugt (vanvugt) wrote :

We have a bunch of krillin failure bugs open and surprisingly this one doesn't seem to be a duplicate...

https://bugs.launchpad.net/mir/+bugs?field.tag=testsfail

tags: added: ci-blocker testsfail
Changed in mir:
importance: Undecided → High
milestone: none → 0.25.0
status: New → Confirmed
Daniel van Vugt (vanvugt) wrote :

Again:

04:54:32 [ RUN ] NestedServer.base_configuration_change_in_host_is_seen_in_nested
04:54:33 + mir_rc=-1
04:54:33 + date --utc --iso-8601=seconds
04:54:33 + xargs echo '[timestamp] End :' mir_acceptance_tests
04:54:33 [timestamp] End : mir_acceptance_tests 2016-09-30T04:54:33+0000

https://mir-jenkins.ubuntu.com/job/device-runtests-mir/1572/device_type=krillin/consoleFull

Daniel van Vugt (vanvugt) wrote :

And again:

05:38:58 [ RUN ] NestedServer.showing_a_0x0_cursor_image_sets_disabled_cursor
05:38:59 + mir_rc=-1
05:38:59 + date --utc --iso-8601=seconds
05:38:59 + xargs echo '[timestamp] End :' mir_acceptance_tests
05:38:59 [timestamp] End : mir_acceptance_tests 2016-09-30T05:38:59+0000

https://mir-jenkins.ubuntu.com/job/device-runtests-mir/1573/device_type=krillin/consoleFull

Daniel van Vugt (vanvugt) wrote :

Ditto:

08:08:24 [ RUN ] NestedServer.client_may_connect_to_nested_server_and_create_surface
08:08:25 + mir_rc=-1
08:08:25 + date --utc --iso-8601=seconds
08:08:25 + xargs echo '[timestamp] End :' mir_acceptance_tests

https://mir-jenkins.ubuntu.com/job/device-runtests-mir/1576/device_type=krillin/consoleFull

Daniel van Vugt (vanvugt) wrote :

The crashing tests were modified quite recently in r3706, which is worth looking at...

Daniel van Vugt (vanvugt) wrote :

And again:

09:55:54 [ RUN ] NestedServer.posts_when_scene_has_visible_changes
09:55:55 + mir_rc=-1
09:55:55 + date --utc --iso-8601=seconds
09:55:55 + xargs echo '[timestamp] End :' mir_acceptance_tests
09:55:55 [timestamp] End : mir_acceptance_tests 2016-09-30T09:55:55+0000

https://mir-jenkins.ubuntu.com/job/device-runtests-mir/1578/device_type=krillin/consoleFull

Daniel van Vugt (vanvugt) wrote :

And again:

05:09:31 [ RUN ] NestedServer.display_configuration_reset_when_nested_server_exits
05:09:32 + mir_rc=-1
05:09:32 + date --utc --iso-8601=seconds
05:09:32 + xargs echo '[timestamp] End :' mir_acceptance_tests
05:09:32 [timestamp] End : mir_acceptance_tests 2016-10-03T05:09:32+0000

https://mir-jenkins.ubuntu.com/job/device-runtests-mir/1589/device_type=krillin/consoleFull

Changed in mir:
assignee: nobody → Alexandros Frantzis (afrantzis)
Daniel van Vugt (vanvugt) wrote :

And again:

14:19:16 [ RUN ] NestedServer.client_may_connect_to_nested_server_and_create_surface
14:19:17 + mir_rc=-1
14:19:17 + date --utc --iso-8601=seconds
14:19:17 + xargs echo '[timestamp] End :' mir_acceptance_tests
14:19:17 [timestamp] End : mir_acceptance_tests 2016-10-03T14:19:17+0000

https://mir-jenkins.ubuntu.com/job/device-runtests-mir/1594/device_type=krillin/consoleFull

Changed in mir:
status: Confirmed → In Progress
Mir CI Bot (mir-ci-bot) wrote :

Fix committed into lp:mir at revision None, scheduled for release in mir, milestone 0.25.0

Changed in mir:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (5.7 KiB)

This bug was fixed in the package mir - 0.25.0+17.04.20161203-0ubuntu1

---------------
mir (0.25.0+17.04.20161203-0ubuntu1) zesty; urgency=medium

  * New upstream release 0.25.0 (https://launchpad.net/mir/+milestone/0.25.0)
    - ABI summary:
      . mirclient ABI unchanged at 9
      . mirserver ABI bumped to 42
      . mircommon ABI bumped to 7
      . mirplatform ABI bumped to 14
      . mirprotobuf ABI unchanged at 3
      . mirplatformgraphics ABI bumped to 11
      . mirclientplatform ABI unchanged at 5
      . mirinputplatform ABI bumped to 6
      . mircore ABI added, at version 1
    - Enhancements:
      . Added pointer confinement support
      . Identify Raspberry Pi output types correctly
      . Added dead key and compose key support
      . Added gamma support for KMS hardware
      . Added yakkety and zesty gcc-6 support
      . Added surface passthrough support for fullscreen clients of nested
        servers
      . Introduced a new library `libmircore'
      . Began migrating from Protobuf to Cap'n Proto starting with events
      . Began support for VirtualBox (servers now start instead of crashing
        but full support for GL clients is still missing)
      . Began support for high precision frame timing, implemented for the
        KMS, Android and X11 backends so far
      . Added --display-report support for the X11 backend
      . Improved reliability of `mirvanity' latency test tool
      . Moved to using the CSS cursor naming scheme internally, although
        the old symbolic indentifiers remain unchanged and still work
      . Added refresh rate to MirSurfaceOutputEvent
      . Many improvements to automated test quality and coverage
      . Smoother desktop zoom using mir_proving_server (Super + two fingers)
    - Bugs fixed:
      . FTBFS On Zesty: invalid use of
        'struct native_handle' (LP: #1638774)
      . libmirclient-debug-extension-dev install debug/surface.h
        twice (LP: #1639153)
      . Mir crashes on virtual box drmModeCrtcSetGamma
        Function not implemented (LP: #1638220)
      . Flickering in mir_demo_client_multistream (LP: #1635273)
      . Camera apps (camera & vanity) never exit (LP: #1635010)
      . Clients cannot connect when MIR_SOCKET="" (LP: #1634508)
      . mirtest-dev packaging fails to sepcify boost depends (LP: #1633537)
      . cursor.h is unclear about mir_diagonal_resize_* (LP: #1626924)
      . Inconsistent underscores in cursor names (LP: #1632617)
      . [regression] Accidental libmircommon.so.6 break (LP: #1617865)
      . [regression] mir demo server fails to start with mx4 (LP: #1615703)
      . [regression] Trust prompt now shown when starting camera (LP: #1612256)
      . [regression] make abi-check fails to build (LP: #1626866)
      . Nested servers prevent overlays or fullscreen bypass (LP: #1262116)
      . Failed to get PRIME fd from gbm bo (LP: #1607812)
      . Mir-on-X is difficult to use on 1366x768 laptop (LP: #1590959)
      . Remove useless message 'Surface 0 DPI' in demos (LP: #1559831)
      . Mir fails to cross-build with newer sbuild (LP: #1628507)
      . Infinite loop in AbstractShell::focus_next_session (LP: #1625401)
      . Dest...

Read more...

Changed in mir (Ubuntu):
status: New → Fix Released
Changed in mir:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers